Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetPreferredCountryLanguage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Text>
it.tdlight.jni.TdApi.GetPreferredCountryLanguage

Enclosing class:
  TdApi

public static final class TdApi.GetPreferredCountryLanguage extends TdApi.Function<TdApi.Text>
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`countryCode`
A two-letter ISO 3166-1 alpha-2 country code.

## Constructor Summary

Constructors
Constructor
Description
`GetPreferredCountryLanguage()`
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.
`GetPreferredCountryLanguage(DataInput input)`
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.
`GetPreferredCountryLanguage(String countryCode)`
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetPreferredCountryLanguage

public GetPreferredCountryLanguage()
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

### GetPreferredCountryLanguage

public GetPreferredCountryLanguage(String countryCode)
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

Parameters:
  `countryCode` - A two-letter ISO 3166-1 alpha-2 country code.

  Returns `Text`

### GetPreferredCountryLanguage

public GetPreferredCountryLanguage(DataInput input) throws IOException
Returns an IETF language tag of the language preferred in the country, which must be used to fill native fields in Telegram Passport personal details. Returns a 404 error if unknown.

Returns `Text`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`